Redmine - Defect #36542

projects.xml APl doens't include closed projects since redmine v4.1
2022-01-28 12:40 - Christoph Klaffl

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 4.2.3
Description

Before redmine v4.1 the /projects.xml API returned active and closed projects.
With v4.1 and upwards only active projects are returned and there isn't an option to include them (as far as | can read from the
corresponding src file).

It seems the change happened with this commit:
https://github.com/redmine/redmine/commit/6c5440a21b491982c02531c82b4416ef212eb3dc

Related issues:
Related to Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2022-02-10 09:29 - Mizuki ISHIKAWA

| have described three ways to get information about status closed (id: 5). Could you please try with this?
e Save a custom query configured to include the closed project and set its query. http://<Redmine url>/projects?query_id=<query id>&key=<API
key>
¢ http://<Redmine url>/projects.xml?f[]=status&op[status]==&v[status][]=18&v[status][]=5&key=<API key>
¢ http://<Redmine url>/projects.xml?status=5&key=<API key> results(closed projects) + http://<Redmine url>/projects.xml?status=1&key=<API
key> results(open projects)

There is a workaround, but | think the problem that the document(Rest_Projects) is not updated even though the specifications of the project APl have
changed significantly needs to be improved.

¢ Add a method for adding filter conditions
e Add a description that previously included projects that were closed by default, but are no longer included

#2 - 2022-02-10 10:14 - Christoph Klaffl

Using

https://<Redmine url>/projects.xml?f[]=status&op[status]==&v[status] []=1&v[status] []=5&key=<API key>
works. Thank you!

#3 - 2022-07-19 11:01 - Holger Just
- Related to Feature #29482: Query system for Projects page added

#4 - 2022-07-19 11:12 - Holger Just

You can also override the default status filter with en empty filter value to get a list of all projects (open, closed or archived):

GET /projects.xml?status=

To get only open or closed projects, you can also use the following short filter to get open projects (status = 1) or closed projects (status = 5):
GET /projects.xml?status=1]|5

#5 - 2022-10-02 09:56 - Marius BALTEANU

- Status changed from New to Closed

- Resolution set to Fixed
